package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/**
* 在线处方电子病历
*
* @author
*
*/
@Entity
@Table(name = "wlyy_prescription_emr")
public class WlyyPrescriptionEmrDO extends UuidIdentityEntityWithOperator {


    /**
     * 处方id
     */
    private String prescriptionId;

    /**
     * 主诉
     */
    private String complaint;

    /**
     * 现病史
     */
    private String medicalHistory;

    /**
     * 即往史
     */
    private String pastHistory;

    /**
     * 体格检查
     */
    private String physicalExamination;


    /**
     *辅助检查
     */
    private String assistExamination;

    /**
     * 标识是否删除
     */
    private Integer del;
    /**
     *流行病史
     */
    private String popularHistory;
    /**
     *过敏史
     */
    private String allergicHistory;
    /**
     *特殊病史
     */
    private String specialHistory;
    @Column(name = "popular_history")
    public String getPopularHistory() {
        return popularHistory;
    }

    public void setPopularHistory(String popularHistory) {
        this.popularHistory = popularHistory;
    }
    @Column(name = "allergic_history")
    public String getAllergicHistory() {
        return allergicHistory;
    }

    public void setAllergicHistory(String allergicHistory) {
        this.allergicHistory = allergicHistory;
    }
    @Column(name = "special_history")
    public String getSpecialHistory() {
        return specialHistory;
    }

    public void setSpecialHistory(String specialHistory) {
        this.specialHistory = specialHistory;
    }

    @Column(name = "complaint")
    public String getComplaint() {
        return complaint;
    }

    public void setComplaint(String complaint) {
        this.complaint = complaint;
    }

    @Column(name = "medical_history")
    public String getMedicalHistory() {
        return medicalHistory;
    }

    public void setMedicalHistory(String medicalHistory) {
        this.medicalHistory = medicalHistory;
    }

    @Column(name = "past_history")
    public String getPastHistory() {
        return pastHistory;
    }

    public void setPastHistory(String pastHistory) {
        this.pastHistory = pastHistory;
    }

    @Column(name = "physical_examination")
    public String getPhysicalExamination() {
        return physicalExamination;
    }

    public void setPhysicalExamination(String physicalExamination) {
        this.physicalExamination = physicalExamination;
    }

    @Column(name = "assist_examination")
    public String getAssistExamination() {
        return assistExamination;
    }

    public void setAssistExamination(String assistExamination) {
        this.assistExamination = assistExamination;
    }

    @Column(name = "prescription_id")
    public String getPrescriptionId() {
        return prescriptionId;
    }

    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}